/// <reference path="../../../../../src/@types/@kano/common/index.d.ts" />
import '@polymer/paper-dialog/paper-dialog.js';
import { KanoAlertElement } from './alert.js';
import DialogProvider from './dialog-provider.js';
import { Base } from './base.js';
export declare class Dialog extends Base<KanoAlertElement> {
    private _onDidConfirm;
    readonly onDidConfirm: import("@kano/common/index.js").IEvent<void>;
    private _onDidCancel;
    readonly onDidCancel: import("@kano/common/index.js").IEvent<void>;
    private _onDidClose;
    readonly onDidClose: import("@kano/common/index.js").IEvent<void>;
    createDom(opts: DialogProvider): any;
    _onClose(e: CustomEvent): void;
}
export default Dialog;
